summaryrefslogtreecommitdiffstats
path: root/source/d/cmake
diff options
context:
space:
mode:
Diffstat (limited to 'source/d/cmake')
-rwxr-xr-xsource/d/cmake/cmake.SlackBuild10
-rw-r--r--source/d/cmake/cmake.findpkgconfig.3ea850.patch63
-rw-r--r--source/d/cmake/slack-desc2
3 files changed, 72 insertions, 3 deletions
diff --git a/source/d/cmake/cmake.SlackBuild b/source/d/cmake/cmake.SlackBuild
index e3e1504eb..3002e35b4 100755
--- a/source/d/cmake/cmake.SlackBuild
+++ b/source/d/cmake/cmake.SlackBuild
@@ -22,7 +22,7 @@
PKGNAM=cmake
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -58,6 +58,8 @@ rm -rf $PKGNAM-$VERSION
tar xvf $CWD/$PKGNAM-$VERSION.tar.?z* || exit 1
cd $PKGNAM-$VERSION
+zcat $CWD/cmake.findpkgconfig.3ea850.patch.gz | patch -p1 --verbose || exit 1
+
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -67,7 +69,11 @@ find . \
mkdir cmake-build
cd cmake-build
-../bootstrap
+../bootstrap \
+ --prefix=/usr \
+ --docdir=/doc/$PKGNAM-$VERSION \
+ --qt-gui \
+ --system-libs
# Build
CFLAGS="$SLKCFLAGS" \
diff --git a/source/d/cmake/cmake.findpkgconfig.3ea850.patch b/source/d/cmake/cmake.findpkgconfig.3ea850.patch
new file mode 100644
index 000000000..a64e47a72
--- /dev/null
+++ b/source/d/cmake/cmake.findpkgconfig.3ea850.patch
@@ -0,0 +1,63 @@
+From 3ea850a5023060b84dcc0e6f0098c32c28b15807 Mon Sep 17 00:00:00 2001
+From: Rolf Eike Beer <eike@sf-mail.de>
+Date: Fri, 13 Apr 2012 08:50:49 +0200
+Subject: [PATCH] FindPkgConfig.cmake: fix documented output variable not set
+ (#13125,#13132)
+
+The real fix is from Yury G. Kudryashov while I added the surrounding cleanups.
+An additional hint to really get this fixed came from Rex Dieter.
+---
+ Modules/FindPkgConfig.cmake | 8 ++++++--
+ Tests/CMakeOnly/AllFindModules/CMakeLists.txt | 3 +--
+ 2 files changed, 7 insertions(+), 4 deletions(-)
+
+diff --git a/Modules/FindPkgConfig.cmake b/Modules/FindPkgConfig.cmake
+index 5d93ab1..39d3a76 100644
+--- a/Modules/FindPkgConfig.cmake
++++ b/Modules/FindPkgConfig.cmake
+@@ -13,11 +13,10 @@
+ # When the 'QUIET' argument is set, no status messages will be printed.
+ #
+ # It sets the following variables:
+-# PKG_CONFIG_FOUND ... true if pkg-config works on the system
++# PKG_CONFIG_FOUND ... if pkg-config executable was found
+ # PKG_CONFIG_EXECUTABLE ... pathname of the pkg-config program
+ # PKG_CONFIG_VERSION_STRING ... the version of the pkg-config program found
+ # (since CMake 2.8.8)
+-# PKG_CONFIG_FOUND ... if pkg-config executable was found
+ #
+ # For the following variables two sets of values exist; first one is the
+ # common one and has the given PREFIX. The second set contains flags
+@@ -104,6 +103,11 @@ find_package_handle_standard_args(PkgConfig
+ REQUIRED_VARS PKG_CONFIG_EXECUTABLE
+ VERSION_VAR PKG_CONFIG_VERSION_STRING)
+
++# This is needed because the module name is "PkgConfig" but the name of
++# this variable has always been PKG_CONFIG_FOUND so this isn't automatically
++# handled by FPHSA.
++set(PKG_CONFIG_FOUND "${PKGCONFIG_FOUND}")
++
+ # Unsets the given variables
+ macro(_pkgconfig_unset var)
+ set(${var} "" CACHE INTERNAL "")
+diff --git a/Tests/CMakeOnly/AllFindModules/CMakeLists.txt b/Tests/CMakeOnly/AllFindModules/CMakeLists.txt
+index 6604208..fc65e58 100644
+--- a/Tests/CMakeOnly/AllFindModules/CMakeLists.txt
++++ b/Tests/CMakeOnly/AllFindModules/CMakeLists.txt
+@@ -71,7 +71,7 @@ endmacro(check_version_string)
+ # reported.
+
+ foreach(VTEST ALSA ARMADILLO BZIP2 CUPS CURL EXPAT FREETYPE GETTEXT GIT HSPELL
+- JASPER LIBXML2 LIBXSLT PERL PostgreSQL TIFF ZLIB)
++ JASPER LIBXML2 LIBXSLT PERL PKG_CONFIG PostgreSQL TIFF ZLIB)
+ check_version_string(${VTEST} ${VTEST}_VERSION_STRING)
+ endforeach(VTEST)
+
+@@ -82,4 +82,3 @@ endforeach(VTEST)
+
+ check_version_string(PYTHONINTERP PYTHON_VERSION_STRING)
+ check_version_string(SUBVERSION Subversion_VERSION_SVN)
+-check_version_string(PKGCONFIG PKG_CONFIG_VERSION_STRING)
+--
+1.7.10
+
diff --git a/source/d/cmake/slack-desc b/source/d/cmake/slack-desc
index 481fdd519..8fb5c8ddc 100644
--- a/source/d/cmake/slack-desc
+++ b/source/d/cmake/slack-desc
@@ -9,7 +9,7 @@
cmake: CMake (cross-platform, open-source make system)
cmake:
cmake: CMake is used to control the software process using simple platform
-cmake: and compiler independed configuration files. CMake generates
+cmake: and compiler independent configuration files. CMake generates
cmake: native makefiles and workspaces that can be used in the
cmake: compiler environment of your choice.
cmake: